View Issue Details

IDProjectCategoryView StatusLast Update
0002005Ham Radio DeluxeBugpublic2019-02-24 15:13
ReporterKB3NPHAssigned ToJOSE 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.5.0.196 
Summary0002005: Issue with Yaesu GS-232B az/el emulation in Arduino K3NG controller
DescriptionTicket#775224
Customer uses what's known as an Arduino K3NG controller that supports both Yaesu GS-232B az/el and Easycomm emulations. HRD connects and works fine using the Easycomm emulation however no matter what I try it will not connect using Yaesu GS-232B az/el emulation. I have triple checked all baud rate settings and comm port settings etc, and it will connect to PST Rotator software, so I know my Arduino works using Yausu emulation. So have you any ideas or past experience with this problem. If we can fix this then I'll definitly be buying the software, thanks.
Additional InformationI spoke to Rick about this and he informs me it is the way the Arduino controller is configured for the GS-232B emulation and advises me it is a problem in the controller firmware itself.

The customer is on the 6.4.0.638 trial and advises this one feature is a deal breaker when it comes to him purchasing the software. I informed the customer that even if we started working on this issue immediately, there is no guarantee we would have it completed prior to the end of his trial. Also advised customer to continue checking the release notes to see if and when we have this issue resolved and then contact me and I would ensure he is able to get an extension on his trial in order to test this feature.
TagsNo tags attached.
ModuleRotator
Sub-ModuleInterfacing
Testing Not Tested

Activities

JOSE

2019-01-30 16:49

developer   ~0007167

Would be helpful to look at the log output to see if anything is being read from the comport.
"it will not connect " is there an error? Or it connects but there is no feedback again the log output would help with what the issue was.

WA9PIE

2019-02-21 09:30

administrator   ~0007470

Accepting this as fixed.

Issue History

Date Modified Username Field Change
2017-03-23 08:13 KB3NPH New Issue
2018-03-04 00:53 WA9PIE Status new => assigned
2018-03-04 00:53 WA9PIE Assigned To => JOSE
2018-03-04 00:54 WA9PIE Project 2 - Next Dev List (Holding Area) => 3 - Current Dev List
2018-03-04 00:56 WA9PIE Testing => Not Started
2019-01-30 16:49 JOSE Note Added: 0007167
2019-02-12 21:15 JOSE Status assigned => resolved
2019-02-12 21:15 JOSE Resolution open => fixed
2019-02-12 21:15 JOSE Fixed in Version => 6.5.0.192
2019-02-21 09:30 WA9PIE Status resolved => closed
2019-02-21 09:30 WA9PIE Testing Not Started => Not Tested
2019-02-21 09:30 WA9PIE Note Added: 0007470
2019-02-24 14:36 WA9PIE Fixed in Version 6.5.0.192 => 6.5.0.196
2019-02-24 15:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe